POST
/v1/mgmt/sso/idp/app/secret/revoke

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

appId*string
Length1 <= length <= 254
name*string
Length1 <= length <= 100

Revoke a named OIDC client secret of an SSO application, using a valid management key. Returns the remaining secret metadata.

curl -X POST "https://api.descope.com/v1/mgmt/sso/idp/app/secret/revoke" \  -H "Content-Type: application/json" \  -d '{    "appId": "string",    "name": "string"  }'
{  "secrets": [    {      "id": "string",      "name": "string",      "status": "string",      "expireTime": 0,      "createdTime": 0    }  ]}
export interface Response {secrets?: {id?: stringname?: stringstatus?: stringexpireTime?: numbercreatedTime?: number}[]}
Was this helpful?